import { Outlet } from "react-router-dom";
import MenuContainer from "../components/atoms/MenuContainer";
import LanguageButton from "../components/organisms/LanguageButton";
import LogoutButton from "../components/organisms/LogoutButton";
import ThemeButton from "../components/organisms/ThemeButton";
/**
 * General navigation buttons
 */
const MainOverlayPage = () => {
	return (
		<div className="m-auto p-0 w-11/12 h-full">
			<MenuContainer position="top-right" tooltipPosition="left">
				<ThemeButton />
				<LogoutButton />
				<LanguageButton />
			</MenuContainer>
			<Outlet />
		</div>
	);
};

export default MainOverlayPage;
